Package org.eclipse.rdf4j.spin

## Class SpinRenderer

- java.lang.Object
- - org.eclipse.rdf4j.spin.SpinRenderer

-     public class SpinRenderer
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SpinRenderer.Output` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SpinRenderer()` |
    `SpinRenderer​(SpinRenderer.Output output)` |
    `SpinRenderer​(SpinRenderer.Output output, com.google.common.base.Function<String,​IRI> wellKnownVarMapper, com.google.common.base.Function<String,​IRI> wellKnownFuncMapper, ValueFactory vf)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `render​(ParsedBooleanQuery query, RDFHandler handler)` |
    `void` | `render​(ParsedDescribeQuery query, RDFHandler handler)` |
    `void` | `render​(ParsedGraphQuery query, RDFHandler handler)` |
    `void` | `render​(ParsedOperation operation, RDFHandler handler)` |
    `void` | `render​(ParsedQuery query, RDFHandler handler)` |
    `void` | `render​(ParsedTupleQuery query, RDFHandler handler)` |
    `void` | `render​(ParsedUpdate update, RDFHandler handler)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpinRenderer

          public SpinRenderer()

    - #### SpinRenderer

          public SpinRenderer​(SpinRenderer.Output output)

    - #### SpinRenderer

          public SpinRenderer​(SpinRenderer.Output output,
                              com.google.common.base.Function<String,​IRI> wellKnownVarMapper,
                              com.google.common.base.Function<String,​IRI> wellKnownFuncMapper,
                              ValueFactory vf)

  - ### Method Detail

    - #### render

          public void render​(ParsedOperation operation,
                             RDFHandler handler)
                      throws RDFHandlerException

      Throws:
        `RDFHandlerException`

    - #### render

          public void render​(ParsedQuery query,
                             RDFHandler handler)
                      throws RDFHandlerException

      Throws:
        `RDFHandlerException`

    - #### render

          public void render​(ParsedBooleanQuery query,
                             RDFHandler handler)
                      throws RDFHandlerException

      Throws:
        `RDFHandlerException`

    - #### render

          public void render​(ParsedTupleQuery query,
                             RDFHandler handler)
                      throws RDFHandlerException

      Throws:
        `RDFHandlerException`

    - #### render

          public void render​(ParsedDescribeQuery query,
                             RDFHandler handler)
                      throws RDFHandlerException

      Throws:
        `RDFHandlerException`

    - #### render

          public void render​(ParsedGraphQuery query,
                             RDFHandler handler)
                      throws RDFHandlerException

      Throws:
        `RDFHandlerException`

    - #### render

          public void render​(ParsedUpdate update,
                             RDFHandler handler)
                      throws RDFHandlerException

      Throws:
        `RDFHandlerException`